integrations beta.md

Integrations (Beta)

Cloud provider integration endpoints

List integrations

Returns all active cloud provider integrations for the organization.

{"openapi":"3.0.2","info":{"title":"Archera.ai Beta API","version":"v1.0.0"},"tags":[{"name":"Integrations (Beta)","description":"Cloud provider integration endpoints"}],"paths":{"/beta/v1/org/{org_id}/integrations":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Integration"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"tags":["Integrations (Beta)"],"summary":"List integrations","description":"Returns all active cloud provider integrations for the organization."}}},"components":{"schemas":{"Integration":{"type":"object","properties":{"id":{"type":"string","description":"Integration identifier"},"provider":{"description":"Cloud provider (aws, azure, gcp)","type":"string","enum":["aws","azure","gcp"]},"name":{"type":"string","description":"Integration name","nullable":true},"provider_organization_id":{"type":"string","description":"Cloud-provider organization/tenant identifier (AWS Organizations ID, Azure tenant ID, GCP organization ID).","nullable":true},"active":{"type":"boolean","description":"Whether this integration has active credentials"},"currency":{"type":"string","description":"Billing currency (e.g. 'USD')","nullable":true},"data_available_since":{"type":"string","format":"date-time","description":"Earliest date cost data is available from this integration","nullable":true},"data_available_until":{"type":"string","format":"date-time","description":"Latest date cost data is available from this integration","nullable":true}},"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"detail":{"nullable":true},"code":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string","description":"Error message"},"errors":{"type":"object","description":"Errors","additionalProperties":{}}},"additionalProperties":false}}},"responses":{"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}

Get integration details

Returns details for a single integration including its cloud accounts.

{"openapi":"3.0.2","info":{"title":"Archera.ai Beta API","version":"v1.0.0"},"tags":[{"name":"Integrations (Beta)","description":"Cloud provider integration endpoints"}],"paths":{"/beta/v1/org/{org_id}/integrations/{integration_id}":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDetail"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"tags":["Integrations (Beta)"],"summary":"Get integration details","description":"Returns details for a single integration including its cloud accounts."}}},"components":{"schemas":{"IntegrationDetail":{"type":"object","properties":{"id":{"type":"string","description":"Integration identifier"},"provider":{"description":"Cloud provider (aws, azure, gcp)","type":"string","enum":["aws","azure","gcp"]},"name":{"type":"string","description":"Integration name","nullable":true},"provider_organization_id":{"type":"string","description":"Cloud-provider organization/tenant identifier (AWS Organizations ID, Azure tenant ID, GCP organization ID).","nullable":true},"active":{"type":"boolean","description":"Whether this integration has active credentials"},"currency":{"type":"string","description":"Billing currency (e.g. 'USD')","nullable":true},"data_available_since":{"type":"string","format":"date-time","description":"Earliest date cost data is available from this integration","nullable":true},"data_available_until":{"type":"string","format":"date-time","description":"Latest date cost data is available from this integration","nullable":true},"accounts":{"readOnly":true,"description":"Cloud accounts associated with this integration"}},"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"detail":{"nullable":true},"code":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string","description":"Error message"},"errors":{"type":"object","description":"Errors","additionalProperties":{}}},"additionalProperties":false}}},"responses":{"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}